[Mongrel] Windows Server 2003 - Cygwin - Apache 2.0 - Rails 1.2.3 -- httpd.so "permission denied" (Luis Lavena)

Randy Antler randy.antler at screenplayinc.com
Wed Apr 25 13:51:38 EDT 2007


Thank you very much Luis. After re-installing Mongrel and related gems 
and selecting "Ruby" rather than "win32", mongrel appears to be working 
fine!
> Date: Fri, 20 Apr 2007 23:30:14 -0300
> From: "Luis Lavena" <luislavena at gmail.com>
>
> Hi Randy,
>
> It seems you're using ruby from cygwin, and not mswin32 (wich is
> one-click installer or barebones distro from ruby-lang.org)
>
> Those environments, even if they are "win", they aren't the same. The
> extension (http11.so) is linked against msvcrt-ruby18.dll (ruby\bin
> under mswin32 distro).
>
> On cygwin, that file didn't exist (don't remember right now the equivalent).
>
> What I would suggest is uninstall mswin32 version and compile the
> "ruby" version of mongrel:

-- 
Randy Antler
Director of Information Systems
(800) 742-1439 x 104



More information about the Mongrel-users mailing list